Create MCP Server
curl --request POST \
--url https://api.app.shinzo.ai/v1/mcp/servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"transport_type": "<string>",
"url": "<string>",
"headers": {},
"configuration": {}
}
'MCP Servers
Create MCP Server
Register a new MCP server for use with your agents.
POST
/
v1
/
mcp
/
servers
Create MCP Server
curl --request POST \
--url https://api.app.shinzo.ai/v1/mcp/servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"transport_type": "<string>",
"url": "<string>",
"headers": {},
"configuration": {}
}
'Authentication
Requires JWT token or Platform API key viaAuthorization: Bearer <token> header.
Sensitive values in
headers are encrypted at rest. They are never returned in API responses after creation.Example Request
curl -X POST https://api.app.shinzo.ai/v1/mcp/servers \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "github-mcp",
"description": "GitHub MCP Server",
"transport_type": "http",
"url": "https://mcp.github.com/sse",
"headers": {
"Authorization": "Bearer ghp_xxxxxxxxxxxx"
}
}'
Example Response
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "github-mcp",
"description": "GitHub MCP Server",
"endpoint_url": "https://mcp.github.com/sse",
"transport_type": "http",
"hosting_mode": "remote",
"status": "active",
"health_status": "unknown",
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T10:00:00Z"
}
Status Codes
| Code | Description |
|---|---|
201 | MCP server created successfully |
400 | Invalid request (validation error) |
401 | Unauthorized - invalid or missing authentication |
409 | Server with that name already exists |

